Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser
Class QueryParserTestBase.QPTestAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.queryParser.QueryParserTestBase.QPTestAnalyzer

All Implemented Interfaces:
  Closeable

Enclosing class:
  QueryParserTestBase

    public static final class QueryParserTestBase.QPTestAnalyzer

extends Analyzer

Filters LowerCaseTokenizer with QPTestFilter.

Constructor Summary
`QueryParserTestBase.QPTestAnalyzer()`

Method Summary
`TokenStream` | `tokenStream(String fieldName, Reader reader)` Creates a TokenStream which tokenizes all the text in the provided Reader.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryParserTestBase.QPTestAnalyzer

    public QueryParserTestBase.QPTestAnalyzer()

Method Detail

### tokenStream

    public final TokenStream tokenStream(String fieldName,
                                         Reader reader)

  Description copied from class: `Analyzer`
  Creates a TokenStream which tokenizes all the text in the provided Reader. Must be able to handle null field name for backward compatibility.

  Specified by:
    `tokenStream` in class `Analyzer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD